/* Datei BspSchleifen.java
	Javaprogramm mit Beispielen für Schleifen */
	
class BspSchleifen
{
	public static void main (String args[])
	{
		int i; //Deklaration vor der Schleife
		System.out.println("Start der ersten for Schleife");
		for (i=1;i<10;i++)
		{
			System.out.println("Ausgabewert i: " + i);
		}
		System.out.println("i nach der Schleife " + i);
		
		System.out.println("Start der zweiten for Schleife");
		for (int j=1;j<10;j++) // Deklaration im Schleifenkopf
		{
			System.out.println("Ausgabewert j: " + j);
		}
		// System.out.println("i nach der Schleife " + j);
		// j steht nur in der Schleife zur Verfügung
		
		// das Gleiche in der while Schleife:
		i = 1;
		System.out.println("Start der ersten while Schleife");
		while (i <10)
		{
			System.out.println("Ausgabewert i: " + i);
			i++;
		}
		
		// das Gleiche in der do while Schleife:
		i = 1;
		System.out.println("Start der ersten do while Schleife");
		do
		{
			System.out.println("Ausgabewert i: " + i);
			i++;
		} while (i <10);
		
		// Iteration nicht nur positiv und nicht nur um 1
		System.out.println("Start der dritten for Schleife");
		for (i=20;i!=0;i-=2) // Ausgabe der geraden Zahlen von 20 bis 2
		{
			System.out.println("Ausgabewert i: " + i);
		}
		
		/* Beispiel für Schleife, die nicht abbricht
		System.out.println("Start der vierten for Schleife");
		for (i=19;i!=0;i-=2) // Ausgabe der ungeraden Zahlen von 19 bis 1
		{
			System.out.println("Ausgabewert: " + i);
		}*/
		
		/* Beispiel für Schleife, die nicht abbricht
		System.out.println("Start der fünften for Schleife");
		for (i=19;i!=0;i+=2) // Ausgabe der ungeraden Zahlen von 19 bis 1
		{
			System.out.println("Ausgabewert: " + i);
		} */
		
		// Beispiel für Initialisierung mit einer Liste von Ausdrücken
		int j;
		System.out.println("Start der sechsten for Schleife");
		for (i=19,j=3;i>16;i--,j++)
		{
			System.out.println("Ausgabewert i: " + i);
			System.out.println("Ausgabewert j: " + j);
		}
		
		// 2. Beispiel für Initialisierung mit einer Liste von Ausdrücken
		System.out.println("Start der siebten for Schleife");
		for (int k=9,l=13;k<12;k++,l--)
		{
			System.out.println("Ausgabewert k: " + k);
			System.out.println("Ausgabewert l: " + l);
		}
		
		/* 3. Beispiel für Initialisierung mit einer Liste von Ausdrücken
			funktioniert nicht, da eine Liste von
			Definitionen nicht zulässig ist
		System.out.println("Start der achten for Schleife");
		for (int m=9,int n=13;m<12;m++,n--)
		{
			System.out.println("Ausgabewert k: " + k);
			System.out.println("Ausgabewert l: " + l);
		} */
	}
}